/*
 * server.h
 *
 *  Created on: 21 Apr 2020
 *      Author: Chris
 */

#ifndef COMPONENTS_SERVER_SERVER_H_
#define COMPONENTS_SERVER_SERVER_H_

#include <freertos/FreeRTOS.h>
#include <freertos/event_groups.h>
#include <freertos/task.h>
#include <esp_event.h>
#include <esp_log.h>
#include <sys/param.h>
#include "mqtt_client.h"

void init_server();

void send_mqtt_update(double lux, const char* topic);

#endif /* COMPONENTS_SERVER_SERVER_H_ */
